Skip to Content
veriom

List API tokens

List the workspace's tokens newest first with their creator and status. Secrets and hashes are never returned.

GET
/v1/workspaces/{workspace_id}/api-tokens

List the workspace's tokens newest first with their creator and status.

Secrets and hashes are never returned.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

owner?Owner

me lists only the tokens you created; all lists every token.

Default"all"
Value in"me""all"

Response Body

Successful Response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-tokens'
Example Response
[  {    "created_at": "2019-08-24T14:15:22Z",    "created_by": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    },    "deactivated_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "last_used_at": "2019-08-24T14:15:22Z",    "name": "string",    "prefix": "string",    "revoked_at": "2019-08-24T14:15:22Z",    "scopes": [      "string"    ],    "status": "active"  }]